<?php
//include"../login.php";
function getUsersData($Email){
    
    $array = array();
    
$q = mysql_query("SELECT * FROM 'user' WHERE 'email' = ".$Email);

    while($r = mysql_fetch_assoc($q)){
        $array['Email'] = $r['email'];
        $array['First_Name'] = $r['first'];
        $array['Last_Name'] = $r['last'];
    }
    return array();
}
/**
* 
*/
/**
* 
*/

class user
{
	protected $q;
	function __construct($Email, $link)
	{
		$this->q = mysqli_fetch_assoc(mysqli_query($link, "SELECT * FROM user WHERE email = '$Email' OR username = '$Email'"));
	}
    function getUsername(){
		return $this->q['username'];
	}
	function getFname(){
		return $this->q['fname'];
	}
	function getLname(){
		return $this->q['lname'];
	}
	function getFullname(){
		return $this->q['fname'] ." ". $this->q['lname'];
	}
	function getBalance(){
		return $this->q['balance'];
	}
	function getInvested(){
		return $this->q['invested'];
	}
	function getPhone(){
		return $this->q['phone'];
	}
	function getEmail(){
		return $this->q['email'];
	}
	function getUid(){
		return $this->q['uid'];
	}
	function getReferal(){
		return $this->q['referal'];
	}
	function getProfit(){
		return $this->q['profit'];
	}
	function getBonus(){
		return $this->q['bonus'];
	}
	function getCurrency(){
		return $this->q['currency'];
	}
	function getCountry(){
		return $this->q['country'];
	}
	function getAccounttype(){
		return $this->q['accounttype'];
	}
	function getPassword(){
		return $this->q['password'];
	}
	function getReferral(){
		return $this->q['referal'];
	}
	function getTrade(){
		return $this->q['trade_percentage'];
	}
	function getUpgrade(){
		return $this->q['upgrade'];
	}
	function getReg_date(){
		return $this->q['reg_date'];
	}
	function getkyc(){
		return $this->q['kyc'];
	}
	function getTrade_mode(){
		return $this->q['trade_mode'];
	}
	function getAccount_status(){
		return $this->q['account_status'];
	}
	function getId(){
		return $this->q['id'];
	}
	function getWithdrawal_access(){
		return $this->q['withdrawal_access'];
	}
	function getQ1(){
		return $this->q['q1'];
	}
	function getQ2(){
		return $this->q['q2'];
	}
	function getQ3(){
		return $this->q['q3'];
	}
	function getQ4(){
		return $this->q['q4'];
	}
	function getWallet(){
		return $this->q['wallet_address'];
	}
	function getTrader(){
		return $this->q['copy_trader'];
	}
	function getWallet_indicator(){
		return $this->q['wallet_indicator'];
	}
	
}


?>